<!DOCTYPE html>
<html lang="en">
<head>
    <title>Hello jQuery</title>
    <style>
        .modal p { margin: 1em 0; }

        .add_form.modal {
            border-radius: 0;
            line-height: 18px;
            padding: 0;
            font-family: "Lucida Grande", Verdana, sans-serif;
        }

        .add_form.modal p { padding: 20px 30px; border-bottom: 1px solid #ddd; margin: 0;
            background: -webkit-gradient(linear,left bottom,left top,color-stop(0, #eee),color-stop(1, #fff));
            overflow: hidden;
        }
        .add_form.modal p:last-child { border: none; }
        .add_form.modal p label { float: left; font-weight: bold; color: #333; font-size: 13px; width: 110px; line-height: 22px; }
        .add_form.modal p input[type="text"],
        .add_form.modal p input[type="submit"]		{
            font: normal 12px/18px "Lucida Grande", Verdana;
            padding: 3px;
            border: 1px solid #ddd;
            width: 200px;
        }

        #msg {
            margin: 10px;
            padding: 30px;
            color: #fff;
            font-size: 18px;
            font-weight: bold;
            background: -moz-linear-gradient(top, #2e5764, #1e3d47);
            background: -webkit-gradient(linear,left bottom,left top,color-stop(0, #1e3d47),color-stop(1, #2e5764));
        }
    </style>
    <!--alt+enter to download the library in case it's not there-->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    <script >
        $(document).delegate('#addNew', 'click', function(event) {
            event.preventDefault();

            var name = $('#name').val();
            var email = $('#email').val();
            var senha = $('#senha').val();
            $.ajax({
                type: "POST",
                contentType: "application/json; charset=utf-8",
                url: "http://localhost:8080//save",
                data: JSON.stringify({'nome':name,
                    'email':email,
                    'senha':senha}),
                cache: false,
                success: function(result) {
                    $("#msg").html( "<span style='color: green'>Company added successfully</span>" );
                    window.setTimeout(function(){location.reload()},1000)
                },
                error: function(err) {
                    $("#msg").html( "<span style='color: red'>Name is required</span>" );
                }
            });
        });


    </script>
</head>

<body>

<orm action="">
<label>Nome</label>
<input type="text" id="name" name="name"><br><br>
<label>email</label>
<input type="email" id="email" name="email"><br><br>
<label>senha</label>
<input type="password" id="senha" name="senha"><br><br>
<br>
<input type="submit" id="addNew" value="Submit">
    <div id='msg' class='msg'></div>
</form>
</body>
</html>